
Foreman - Feature #14661

Support IPv6 Subnets

04/15/2016 07:28 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Network   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3442

  

Description

It should be possible to create IPv6 Subnets.

Related issues:

Related to Foreman - Feature #2315: IPv6 Support Assigned 03/13/2013

Related to Foreman - Bug #14980: Unused_ip AJAX request fails: undefined meth... Closed 05/10/2016

Related to Foreman - Bug #16765: IPAM unused IP error: undefined method `incl... Closed 10/01/2016

Related to Foreman - Bug #17438: Import IPv4 Subnets page has IPv4/IPv6 Radio... Closed 11/22/2016

Associated revisions

Revision 990dee69 - 05/06/2016 08:29 AM - Timo Goebel

fixes #14661 - support IPv6 subnets

History

#1 - 04/15/2016 07:31 AM - Timo Goebel

- Related to Feature #2315: IPv6 Support added

#2 - 04/19/2016 10:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3442 added

#3 - 05/06/2016 09:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 990dee696f58b9fa6035b239152223b073999488.

#4 - 05/06/2016 09:17 AM - Marek Hulán

- translation missing: en.field_release set to 136

#5 - 05/10/2016 07:08 AM - Dominic Cleal

- Related to Bug #14980: Unused_ip AJAX request fails: undefined method `from' for #<IPAM::Dhcp..> added

#6 - 10/03/2016 06:17 AM - Marek Hulán

- Related to Bug #16765: IPAM unused IP error: undefined method `include?' for nil:NilClass added

#7 - 11/22/2016 03:55 AM - Ohad Levy

- Related to Bug #17438: Import IPv4 Subnets page has IPv4/IPv6 Radio button enabled added
